glade-sharp 2.12.0.0 Gtk# is thread aware, but not thread safe; See the Gtk# Thread Programming for details. System.Object Glade's parser used to turn XML into its internal format. Parser class loads / parses the .glade files from memory [buffer], or a file in disk. This class has the helper functions to load the UI description from file/buffer, and turn it into a GladeInterface, which has metadata about the .glade file, its connections and properties etc.
- Constructor
  2.12.0.0
  Default constructor
- Method
  2.12.0.0
  Glade.Interface `` `` a a This function is similar to , except that it parses XML data from a buffer in memory. a This could be used to embed an interface into the executable, for instance.

  Generally, user code will not need to call this function. Instead, it should go through the interfaces.

- Method
  2.12.0.0
  Glade.Interface `` `` a a This function parses a Glade XML interface file to a object (which is libglade's internal representation of the interface data). a Generally, user code will not need to call this function. Instead, it should go through the interfaces.